/*------------------------------------------------------------
   Texel	(www.texel.fr.fm)		2001
   API WIN32
   Les bases - Chapitre 2 - fentre, messages et procdure de fentre
   Affiche une fentre et dtecte l'appuis sur la flche gauche
  ---------------------------------------------------------------------*/


#include <windows.h>

LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM) ;

int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
                    PSTR szCmdLine, int iCmdShow)
{
     static CHAR szAppName[] ="Salut" ;
     HWND         hwnd ;
     MSG          msg ;
     WNDCLASS     wndclass ;


	 wndclass.style         = NULL;
     wndclass.lpfnWndProc   = WndProc ;
     wndclass.cbClsExtra    = 0 ;
     wndclass.cbWndExtra    = 0 ;
     wndclass.hInstance     = hInstance ;
     wndclass.hIcon         = LoadIcon (NULL, IDI_APPLICATION) ;
     wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
     wndclass.hbrBackground = (HBRUSH) GetStockObject (WHITE_BRUSH) ;
     wndclass.lpszMenuName  = NULL ;
     wndclass.lpszClassName = szAppName ;

     if (!RegisterClass (&wndclass))
     {
          MessageBox (NULL, TEXT ("Problme"),szAppName, MB_ICONERROR) ;
          return 0 ;
     }
     hwnd = CreateWindow (szAppName,                  // nom de la classe
                          "Virtual Reality", // titre de la fentre
                          WS_OVERLAPPEDWINDOW,        // style de la fentre
                          CW_USEDEFAULT,              // position initiale en x
                          CW_USEDEFAULT,              // position initiale en y
                          CW_USEDEFAULT,              // largeur initiale
                          CW_USEDEFAULT,              // hauteur initiale
                          NULL,                       // handle de la fentre mre
                          NULL,                       // handle du menu de la fentre
                          hInstance,                  // handle de l'instance
                          NULL) ;                     // paramtres de cration
     
     ShowWindow (hwnd, iCmdShow) ;
     UpdateWindow (hwnd) ;
     
     while (GetMessage (&msg, NULL, 0, 0))
     {
          TranslateMessage (&msg) ;
          DispatchMessage (&msg) ;
     }
     return msg.wParam ;
}

LRESULT CALLBACK WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
   
     switch (message)
     {
   	 case WM_KEYDOWN:
		 switch(wParam)
		 {
			case VK_LEFT:
				MessageBox (NULL,"Flche gauche","Information", MB_ICONINFORMATION) ;
				break;
			case VK_ESCAPE:
				DestroyWindow(hwnd);
				break;
			default:
				break;
		 }
		 break;

     case WM_DESTROY:

          PostQuitMessage (0) ;
          return 0 ;
	
	 
     }
    return DefWindowProc (hwnd, message, wParam, lParam);

}
